
/*
 * lib=ESQL env=A4GL_LEXDIALECT lib_prefix=ESQLAPI_ api_prefix=
 * @file
 * Function prototypes
 *
 * This file was created from .spec file of same name, using dlmagic script
 * - if you need to edit it, edit .spec file instad, and use [make filename.h]
 * to re-create it.
 *
 * @todo See if the functions are static
 * or to be externally seen
 */

/*******************************************************************
* (c) 1997-2005 Aubit Computing Ltd.
*
*
********************************************************************/

/*
=====================================================================
                    Functions prototypes
=====================================================================
*/

#ifdef DEBUG
#define DEBUG_SPEC
#endif
#ifndef __ESQL_H__
#define __ESQL_H__
#ifdef __cplusplus
extern "C"
{
#endif

int A4GLESQL_initlib (void);
/* We don't want to enable debugging in here */
/*  because A4GL_copy_char can be passed invalid strings as a location */
/* to copy INTO  (ie - it will be set After the copy) */
#ifdef DEBUG_SPEC
#undef DEBUG_SPEC
#endif
#define structBINDING struct BINDING
void A4GL_copy_char(char* infx,char* a4gl,short* indicat,int size,char mode,int x,int y);

void A4GL_copy_nchar(char* infx,char* a4gl,short* indicat,int size,char mode,int x,int y);

void A4GL_copy_vchar(char* infx,char* a4gl,short* indicat,int size,char mode,int x,int y);

void A4GL_copy_blob(void* infx,void* a4gl,short* indicat,int size,char mode,int dtype);

void A4GL_copy_blob_byte(void* infx,void* a4gl,short* indicat,int size,char mode);

void A4GL_copy_blob_text(void* infx,void* a4gl,short* indicat,int size,char mode);

void A4GL_copy_date(long* infx,long* a4gl,short* indicat,int size,char mode);

void A4GL_copy_datetime(void* infx,void* a4gl,short* indicat,int size,char mode);

void A4GL_copy_interval(void* infx,void* a4gl,short* indicat,int size,char mode);

void A4GL_copy_decimal(void* infx,void* a4gl,short* indicat,int size,char dir);

void A4GL_copy_float(float* infx,float* a4gl,short* indicat,int size,char mode);

void A4GL_copy_double(double* infx,double* a4gl,short* indicat,int size,char mode);

void A4GL_copy_int(long* infx,long* a4gl,short* indicat,int size,char mode);

void A4GL_copy_int8(int8* infx,int8* a4gl,short* indicat,int size,char mode);

void A4GL_copy_money(void* infx,void* a4gl,short* indicat,int size,char dir);

void A4GL_copy_smint(short* infx,short* a4gl,short* indicat,int size,char mode);

void A4GL_connect_db(char* dbname);

void* A4GL_db_connected(char* dbname);

void A4GL_copy_native_bind(char dir,structBINDING* a4glbind,structBINDING* nativebind,structBINDING* indbind,int n);

void A4GL_init_out_text(void* a4gl,void* infx);

void A4GL_init_out_byte(void* a4gl,void* infx);

void popdec_native(void* vx);

void retdec_native(void* vx);

void popdtime_native(void* vx);

void retdtime_native(void* vx);

void A4GL_afterexec_possible_serial(void );

#ifdef __cplusplus
}
#endif
#endif  /* #ifdef __(ESQL)_H__  */

